﻿#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"
#include "text.h"
#include <string>
#include <curl/curl.h>


using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in_stream, bool prompt) {
    Input in;
    size_t number_count;

    if (prompt) {
        cerr << "Enter number count: ";
    }
    in_stream >> number_count;

    in.numbers.resize(number_count);
    if (prompt) {
        cerr << "Enter " << number_count << " numbers: ";
    }
    for (size_t i = 0; i < number_count; i++) {
        in_stream >> in.numbers[i];
    }

    if (prompt) {
        cerr << "Enter bin count: ";
    }
    in_stream >> in.bin_count;

    return in;
}



int main(int argc, char* argv[]) {
    curl_global_init(CURL_GLOBAL_ALL);
    bool prompt = true;
    auto in = input_data(cin, prompt);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    show_histogram_text(bins);

    return 0;
}
